# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MHandledMenuItem

Packages that use MHandledMenuItem
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util

## Uses of MHandledMenuItem in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MHandledMenuItem
Modifier and Type
Method
Description
`MHandledMenuItem`
MMenuFactory.`createHandledMenuItem()`
Returns a new object of class 'Handled Menu Item'.

## Uses of MHandledMenuItem in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MHandledMenuItem
Modifier and Type
Class
Description
`class`
`HandledMenuItemImpl`
An implementation of the model object 'Handled Menu Item'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MHandledMenuItem
Modifier and Type
Method
Description
`MHandledMenuItem`
MenuFactoryImpl.`createHandledMenuItem()`

## Uses of MHandledMenuItem in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MHandledMenuItem
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseHandledMenuItem(MHandledMenuItem object)`
Returns the result of interpreting the object as an instance of 'Handled Menu Item'.